Package com.android.server.os

# Class LinphoneTombstoneProtos.MemoryDump.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.MemoryDump,LinphoneTombstoneProtos.MemoryDump.Builder>
com.android.server.os.LinphoneTombstoneProtos.MemoryDump.Builder

All Implemented Interfaces:
  `LinphoneTombstoneProtos.MemoryDumpOrBuilder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `Cloneable`

Enclosing class:
  LinphoneTombstoneProtos.MemoryDump

public static final class LinphoneTombstoneProtos.MemoryDump.Builder extends com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.MemoryDump,LinphoneTombstoneProtos.MemoryDump.Builder> implements LinphoneTombstoneProtos.MemoryDumpOrBuilder
Protobuf type `MemoryDump`

## Field Summary

### Fields inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`instance`

## Method Summary

Modifier and Type
Method
Description
`LinphoneTombstoneProtos.MemoryDump.Builder`
`clearArmMteMetadata()`
`.ArmMTEMetadata arm_mte_metadata = 6;`
`LinphoneTombstoneProtos.MemoryDump.Builder`
`clearBeginAddress()`
`uint64 begin_address = 3;`
`LinphoneTombstoneProtos.MemoryDump.Builder`
`clearMappingName()`
`string mapping_name = 2;`
`LinphoneTombstoneProtos.MemoryDump.Builder`
`clearMemory()`
`bytes memory = 4;`
`LinphoneTombstoneProtos.MemoryDump.Builder`
`clearMetadata()`
`LinphoneTombstoneProtos.MemoryDump.Builder`
`clearRegisterName()`
`string register_name = 1;`
`LinphoneTombstoneProtos.ArmMTEMetadata`
`getArmMteMetadata()`
`.ArmMTEMetadata arm_mte_metadata = 6;`
`long`
`getBeginAddress()`
`uint64 begin_address = 3;`
`String`
`getMappingName()`
`string mapping_name = 2;`
`com.google.protobuf.ByteString`
`getMappingNameBytes()`
`string mapping_name = 2;`
`com.google.protobuf.ByteString`
`getMemory()`
`bytes memory = 4;`
`LinphoneTombstoneProtos.MemoryDump.MetadataCase`
`getMetadataCase()`
`String`
`getRegisterName()`
`string register_name = 1;`
`com.google.protobuf.ByteString`
`getRegisterNameBytes()`
`string register_name = 1;`
`boolean`
`hasArmMteMetadata()`
`.ArmMTEMetadata arm_mte_metadata = 6;`
`LinphoneTombstoneProtos.MemoryDump.Builder`
`mergeArmMteMetadata(LinphoneTombstoneProtos.ArmMTEMetadata value)`
`.ArmMTEMetadata arm_mte_metadata = 6;`
`LinphoneTombstoneProtos.MemoryDump.Builder`
`setArmMteMetadata(LinphoneTombstoneProtos.ArmMTEMetadata value)`
`.ArmMTEMetadata arm_mte_metadata = 6;`
`LinphoneTombstoneProtos.MemoryDump.Builder`
`setArmMteMetadata(LinphoneTombstoneProtos.ArmMTEMetadata.Builder builderForValue)`
`.ArmMTEMetadata arm_mte_metadata = 6;`
`LinphoneTombstoneProtos.MemoryDump.Builder`
`setBeginAddress(long value)`
`uint64 begin_address = 3;`
`LinphoneTombstoneProtos.MemoryDump.Builder`
`setMappingName(String value)`
`string mapping_name = 2;`
`LinphoneTombstoneProtos.MemoryDump.Builder`
`setMappingNameBytes(com.google.protobuf.ByteString value)`
`string mapping_name = 2;`
`LinphoneTombstoneProtos.MemoryDump.Builder`
`setMemory(com.google.protobuf.ByteString value)`
`bytes memory = 4;`
`LinphoneTombstoneProtos.MemoryDump.Builder`
`setRegisterName(String value)`
`string register_name = 1;`
`LinphoneTombstoneProtos.MemoryDump.Builder`
`setRegisterNameBytes(com.google.protobuf.ByteString value)`
`string register_name = 1;`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`build, buildPartial, clear, clone, copyOnWrite, copyOnWriteInternal, getDefaultInstanceForType, internalMergeFrom, isInitialized, mergeFrom, mergeFrom, mergeFrom, mergeFrom`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getMetadataCase

public LinphoneTombstoneProtos.MemoryDump.MetadataCase getMetadataCase()

Specified by:
  `getMetadataCase` in interface `LinphoneTombstoneProtos.MemoryDumpOrBuilder`

### clearMetadata

public LinphoneTombstoneProtos.MemoryDump.Builder clearMetadata()

### getRegisterName

public String getRegisterName()
`string register_name = 1;`

Specified by:
  `getRegisterName` in interface `LinphoneTombstoneProtos.MemoryDumpOrBuilder`
Returns:
  The registerName.

### getRegisterNameBytes

public com.google.protobuf.ByteString getRegisterNameBytes()
`string register_name = 1;`

Specified by:
  `getRegisterNameBytes` in interface `LinphoneTombstoneProtos.MemoryDumpOrBuilder`
Returns:
  The bytes for registerName.

### setRegisterName

public LinphoneTombstoneProtos.MemoryDump.Builder setRegisterName(String value)
`string register_name = 1;`

Parameters:
  `value` - The registerName to set.
Returns:
  This builder for chaining.

### clearRegisterName

public LinphoneTombstoneProtos.MemoryDump.Builder clearRegisterName()
`string register_name = 1;`

Returns:
  This builder for chaining.

### setRegisterNameBytes

public LinphoneTombstoneProtos.MemoryDump.Builder setRegisterNameBytes(com.google.protobuf.ByteString value)
`string register_name = 1;`

Parameters:
  `value` - The bytes for registerName to set.
Returns:
  This builder for chaining.

### getMappingName

public String getMappingName()
`string mapping_name = 2;`

Specified by:
  `getMappingName` in interface `LinphoneTombstoneProtos.MemoryDumpOrBuilder`
Returns:
  The mappingName.

### getMappingNameBytes

public com.google.protobuf.ByteString getMappingNameBytes()
`string mapping_name = 2;`

Specified by:
  `getMappingNameBytes` in interface `LinphoneTombstoneProtos.MemoryDumpOrBuilder`
Returns:
  The bytes for mappingName.

### setMappingName

public LinphoneTombstoneProtos.MemoryDump.Builder setMappingName(String value)
`string mapping_name = 2;`

Parameters:
  `value` - The mappingName to set.
Returns:
  This builder for chaining.

### clearMappingName

public LinphoneTombstoneProtos.MemoryDump.Builder clearMappingName()
`string mapping_name = 2;`

Returns:
  This builder for chaining.

### setMappingNameBytes

public LinphoneTombstoneProtos.MemoryDump.Builder setMappingNameBytes(com.google.protobuf.ByteString value)
`string mapping_name = 2;`

Parameters:
  `value` - The bytes for mappingName to set.
Returns:
  This builder for chaining.

### getBeginAddress

public long getBeginAddress()
`uint64 begin_address = 3;`

Specified by:
  `getBeginAddress` in interface `LinphoneTombstoneProtos.MemoryDumpOrBuilder`
Returns:
  The beginAddress.

### setBeginAddress

public LinphoneTombstoneProtos.MemoryDump.Builder setBeginAddress(long value)
`uint64 begin_address = 3;`

Parameters:
  `value` - The beginAddress to set.
Returns:
  This builder for chaining.

### clearBeginAddress

public LinphoneTombstoneProtos.MemoryDump.Builder clearBeginAddress()
`uint64 begin_address = 3;`

Returns:
  This builder for chaining.

### getMemory

public com.google.protobuf.ByteString getMemory()
`bytes memory = 4;`

Specified by:
  `getMemory` in interface `LinphoneTombstoneProtos.MemoryDumpOrBuilder`
Returns:
  The memory.

### setMemory

public LinphoneTombstoneProtos.MemoryDump.Builder setMemory(com.google.protobuf.ByteString value)
`bytes memory = 4;`

Parameters:
  `value` - The memory to set.
Returns:
  This builder for chaining.

### clearMemory

public LinphoneTombstoneProtos.MemoryDump.Builder clearMemory()
`bytes memory = 4;`

Returns:
  This builder for chaining.

### hasArmMteMetadata

public boolean hasArmMteMetadata()
`.ArmMTEMetadata arm_mte_metadata = 6;`

Specified by:
  `hasArmMteMetadata` in interface `LinphoneTombstoneProtos.MemoryDumpOrBuilder`
Returns:
  Whether the armMteMetadata field is set.

### getArmMteMetadata

public LinphoneTombstoneProtos.ArmMTEMetadata getArmMteMetadata()
`.ArmMTEMetadata arm_mte_metadata = 6;`

Specified by:
  `getArmMteMetadata` in interface `LinphoneTombstoneProtos.MemoryDumpOrBuilder`
Returns:
  The armMteMetadata.

### setArmMteMetadata

public LinphoneTombstoneProtos.MemoryDump.Builder setArmMteMetadata(LinphoneTombstoneProtos.ArmMTEMetadata value)
`.ArmMTEMetadata arm_mte_metadata = 6;`

### setArmMteMetadata

public LinphoneTombstoneProtos.MemoryDump.Builder setArmMteMetadata(LinphoneTombstoneProtos.ArmMTEMetadata.Builder builderForValue)
`.ArmMTEMetadata arm_mte_metadata = 6;`

### mergeArmMteMetadata

public LinphoneTombstoneProtos.MemoryDump.Builder mergeArmMteMetadata(LinphoneTombstoneProtos.ArmMTEMetadata value)
`.ArmMTEMetadata arm_mte_metadata = 6;`

### clearArmMteMetadata

public LinphoneTombstoneProtos.MemoryDump.Builder clearArmMteMetadata()
`.ArmMTEMetadata arm_mte_metadata = 6;`